{ inputs, pkgs, config, lib, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    #../../features/dns-cache.nix
    #../../features/telemetry
    inputs.iceshrimp.nixosModules.iceshrimp {}
  ];

  networking.hostName = "porcelain-doll-repair";
  system.stateVersion = "24.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  sops.secrets.db_password = {
    sopsFile = ../../../secrets/porcelain-doll-repair/default.yaml;
    owner = config.services.iceshrimp.user;
    group = config.services.iceshrimp.group;
    mode = "0444";
  };

  services.iceshrimp = {
    enable = true;
    settings.url = "https://porcelain.doll.repair";
    dbPasswordFile = config.sops.secrets.db_password.path;
    createDb = true;
    configureNginx.enable = false;
  };

  services.redis.servers.iceshrimp.logfile = "stdout";
}
